consent_management_enabled is set to true and the Leadfeeder Analytics cookie (lfa_cookie_enabled) is currently false, enabling consent management will also activate the Leadfeeder cookie automatically.accounts:write OAuth2 scope.X-Api-Key: ********************{
"data": {
"type": "cookie_consent_settings",
"attributes": {
"consent_management_enabled": true
}
}
}curl --location --request PATCH 'https://api.leadfeeder.com/v1/settings/cookie-consent?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"data": {
"type": "cookie_consent_settings",
"attributes": {
"consent_management_enabled": true
}
}
}'{
"data": {
"type": "cookie_consent_settings",
"id": "123456",
"attributes": {
"consent_management_enabled": false
}
},
"meta": {
"request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
}
}